> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/duty-rule.md).

# Duty Rule

## PUT /api/v2/DutyRule/AdditionalDutyRuleStatus

> Updates an additional duty rule

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/DutyRule/AdditionalDutyRuleStatus":{"put":{"tags":["DutyRule"],"summary":"Updates an additional duty rule","operationId":"api/v2/DutyRule/AdditionalDutyRuleStatus_PUT","parameters":[{"name":"DeliveryCountry","in":"query","description":"DeliveryCountry","schema":{"type":"string"}},{"name":"HsCode","in":"query","description":"HsCode","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/DutyRule

> Returns Duty Rules

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleSearchResponse":{"type":"object","properties":{"ruleType":{"type":"string","description":"RuleType","nullable":true},"rateType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.DutyRateType"},"additionalDuty":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.AdditionalDuty"},"id":{"type":"string","description":"Id of rule","nullable":true}},"additionalProperties":false,"description":"DutyRuleSearchResponse"},"Customs.Catalog.Domain.Pkg.Models.Domain.DutyRateType":{"type":"object","properties":{"brandCode":{"type":"string","description":"Brand Code","nullable":true},"country":{"type":"string","description":"Country to ship to","nullable":true},"countryOfOrigin":{"type":"array","items":{"type":"string"},"description":"Country of Origin","nullable":true},"rate":{"type":"string","description":"Type of Rate","nullable":true}},"additionalProperties":false,"description":"DutyRateType"},"Customs.Catalog.Domain.Pkg.Models.Domain.AdditionalDuty":{"type":"object","properties":{"country":{"type":"string","description":"Country to ship to","nullable":true},"hsCode":{"type":"string","description":"HsCode","nullable":true},"countryOfOrigin":{"type":"array","items":{"type":"string"},"description":"Country of Origin","nullable":true}},"additionalProperties":false,"description":"AdditionalDuty"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/DutyRule":{"get":{"tags":["DutyRule"],"summary":"Returns Duty Rules","operationId":"api/v2/DutyRule_GET","parameters":[{"name":"RuleType","in":"query","description":"RuleType","schema":{"type":"string"}},{"name":"Country","in":"query","description":"Country","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"Country","schema":{"type":"string"}},{"name":"HsCode","in":"query","description":"HsCode","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleSearchResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleSearchResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleSearchResponse"}}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/DutyRule

> Upsert a list of duty rules

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleDto":{"type":"object","properties":{"ruleType":{"type":"string","description":"Type of Rule","nullable":true},"rateType":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRateTypeDto"},"additionalDuty":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.AdditionalDutyDto"},"id":{"type":"string","description":"Id","nullable":true}},"additionalProperties":false,"description":"DutyRuleDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.DutyRateTypeDto":{"type":"object","properties":{"country":{"type":"string","description":"Country to ship to","nullable":true},"tenantCode":{"type":"string","description":"Brand code","nullable":true},"rate":{"type":"string","description":"Type of Rate","nullable":true}},"additionalProperties":false,"description":"DutyRateType"},"Customs.Catalog.Domain.Pkg.Models.DTO.AdditionalDutyDto":{"type":"object","properties":{"country":{"type":"string","description":"Country to ship to","nullable":true},"hsCode":{"type":"string","description":"HsCode","nullable":true},"countryOfOrigin":{"type":"array","items":{"type":"string"},"description":"Country of Origin","nullable":true}},"additionalProperties":false,"description":"AdditionalDuty"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/DutyRule":{"post":{"tags":["DutyRule"],"summary":"Upsert a list of duty rules","operationId":"api/v2/DutyRule_POST","requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleDto"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.DutyRuleDto"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## DELETE /api/v2/DutyRule/{id}

> Deletes duty rules by id

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/DutyRule/{id}":{"delete":{"tags":["DutyRule"],"summary":"Deletes duty rules by id","operationId":"api/v2/DutyRule/{id}_DELETE","parameters":[{"name":"id","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## DELETE /api/v2/DutyRule/deleteAll/{tenantCode}

> Deletes all duty rules for brand

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/DutyRule/deleteAll/{tenantCode}":{"delete":{"tags":["DutyRule"],"summary":"Deletes all duty rules for brand","operationId":"api/v2/DutyRule/deleteAll/{tenantCode}_DELETE","parameters":[{"name":"tenantCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/duty-rule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
